Debian Bug report logs - #686123
RM: mono [armhf] -- ANAIS; armhf not properly supported; not useful on this arch yet

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jo Shields <directhex@apebox.org>

Date: Tue, 28 Aug 2012 20:30:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#686123; Package ftp.debian.org. (Tue, 28 Aug 2012 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 28 Aug 2012 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: mono [armhf] -- ANAIS; armhf not properly supported; not useful on this arch yet
Date: Tue, 28 Aug 2012 21:17:32 +0100
Package: ftp.debian.org
Severity: normal

Despite my best efforts, I've been unable to get Mono 2.10 working properly on
ARM hardfloat ABI. With the Wheezy release to worry about, it's time to make a
decision & ask for removal.

mono 2.10.8.1-6 removes armhf from the Architecture: list. There are no other
packages maintained by the Mono team requiring a sourceful upload to remove
armhf - there are only arch:all or arch:any packages maintained by us which are
affected by this removal. There may be non-team packages which require
sourceful uploads to remove the arch, though.

A Mono 2.12 branch which works for armhf is waiting for post-Wheezy use.



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 03 Sep 2012 07:30:10 GMT) Full text and rfc822 format available.

Notification sent to Jo Shields <directhex@apebox.org>:
Bug acknowledged by developer. (Mon, 03 Sep 2012 07:30:10 GMT) Full text and rfc822 format available.

Message #10 received at 686123-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 686123-close@bugs.debian.org
Cc: mono-runtime@packages.debian.org, mono-runtime@packages.qa.debian.org, libmono-debugger-soft4.0-cil@packages.debian.org, libmono-debugger-soft4.0-cil@packages.qa.debian.org, libmono-cil-dev@packages.debian.org, libmono-cil-dev@packages.qa.debian.org, libmono-system-ldap2.0-cil@packages.debian.org, libmono-system-ldap2.0-cil@packages.qa.debian.org, libmono-http4.0-cil@packages.debian.org, libmono-http4.0-cil@packages.qa.debian.org, libmono-webmatrix-data4.0-cil@packages.debian.org, libmono-webmatrix-data4.0-cil@packages.qa.debian.org, libmono-rabbitmq4.0-cil@packages.debian.org, libmono-rabbitmq4.0-cil@packages.qa.debian.org, libmono-posix4.0-cil@packages.debian.org, libmono-posix4.0-cil@packages.qa.debian.org, libmono-system-runtime-serialization-formatters-soap4.0-cil@packages.debian.org, libmono-system-runtime-serialization-formatters-soap4.0-cil@packages.qa.debian.org, libmono-system-dynamic4.0-cil@packages.debian.org, libmono-system-dynamic4.0-cil@packages.qa.debian.org, libmono-i18n-mideast4.0-cil@packages.debian.org, libmono-i18n-mideast4.0-cil@packages.qa.debian.org, libmono-security4.0-cil@packages.debian.org, libmono-security4.0-cil@packages.qa.debian.org, libmono-system-messaging4.0-cil@packages.debian.org, libmono-system-messaging4.0-cil@packages.qa.debian.org, libmono-relaxng2.0-cil@packages.debian.org, libmono-relaxng2.0-cil@packages.qa.debian.org, libmono-sqlite2.0-cil@packages.debian.org, libmono-sqlite2.0-cil@packages.qa.debian.org, libmono-2.0-1@packages.debian.org, libmono-2.0-1@packages.qa.debian.org, libmono-oracle4.0-cil@packages.debian.org, libmono-oracle4.0-cil@packages.qa.debian.org, libmono-i18n-west4.0-cil@packages.debian.org, libmono-i18n-west4.0-cil@packages.qa.debian.org, libmono-system-web-dynamicdata4.0-cil@packages.debian.org, libmono-system-web-dynamicdata4.0-cil@packages.qa.debian.org, libmono-corlib4.0-cil@packages.debian.org, libmono-corlib4.0-cil@packages.qa.debian.org, libmono-microsoft-build-engine4.0-cil@packages.debian.org, libmono-microsoft-build-engine4.0-cil@packages.qa.debian.org, libmono-microsoft-build2.0-cil@packages.debian.org, libmono-microsoft-build2.0-cil@packages.qa.debian.org, mono-runtime-sgen@packages.debian.org, mono-runtime-sgen@packages.qa.debian.org, libmono-webbrowser2.0-cil@packages.debian.org, libmono-webbrowser2.0-cil@packages.qa.debian.org, libmono-cairo4.0-cil@packages.debian.org, libmono-cairo4.0-cil@packages.qa.debian.org, mono-runtime-dbg@packages.debian.org, mono-runtime-dbg@packages.qa.debian.org, monodoc-base@packages.debian.org, monodoc-base@packages.qa.debian.org, mono-mcs@packages.debian.org, mono-mcs@packages.qa.debian.org, libmono-system-web4.0-cil@packages.debian.org, libmono-system-web4.0-cil@packages.qa.debian.org, libmono-management4.0-cil@packages.debian.org, libmono-management4.0-cil@packages.qa.debian.org, libmono-accessibility4.0-cil@packages.debian.org, libmono-accessibility4.0-cil@packages.qa.debian.org, libmono-security2.0-cil@packages.debian.org, libmono-security2.0-cil@packages.qa.debian.org, libmono-microsoft-build-utilities-v4.0-4.0-cil@packages.debian.org, libmono-microsoft-build-utilities-v4.0-4.0-cil@packages.qa.debian.org, libmono-posix2.0-cil@packages.debian.org, libmono-posix2.0-cil@packages.qa.debian.org, libmono-system-data-datasetextensions4.0-cil@packages.debian.org, libmono-system-data-datasetextensions4.0-cil@packages.qa.debian.org, libmono-2.0-1-dbg@packages.debian.org, libmono-2.0-1-dbg@packages.qa.debian.org, libmono-oracle2.0-cil@packages.debian.org, libmono-oracle2.0-cil@packages.qa.debian.org, libmono-messaging-rabbitmq4.0-cil@packages.debian.org, libmono-messaging-rabbitmq4.0-cil@packages.qa.debian.org, libmono-cairo2.0-cil@packages.debian.org, libmono-cairo2.0-cil@packages.qa.debian.org, mono-devel@packages.debian.org, mono-devel@packages.qa.debian.org, libmono-system-security4.0-cil@packages.debian.org, libmono-system-security4.0-cil@packages.qa.debian.org, libmono-management2.0-cil@packages.debian.org, libmono-management2.0-cil@packages.qa.debian.org, libmono-system-web2.0-cil@packages.debian.org, libmono-system-web2.0-cil@packages.qa.debian.org, libmono-system-enterpriseservices4.0-cil@packages.debian.org, libmono-system-enterpriseservices4.0-cil@packages.qa.debian.org, libmono-ldap4.0-cil@packages.debian.org, libmono-ldap4.0-cil@packages.qa.debian.org, mono-4.0-gac@packages.debian.org, mono-4.0-gac@packages.qa.debian.org, libmono-system-runtime4.0-cil@packages.debian.org, libmono-system-runtime4.0-cil@packages.qa.debian.org, libmono-system-data4.0-cil@packages.debian.org, libmono-system-data4.0-cil@packages.qa.debian.org, libmono-microsoft8.0-cil@packages.debian.org, libmono-microsoft8.0-cil@packages.qa.debian.org, mono-xbuild@packages.debian.org, mono-xbuild@packages.qa.debian.org, libmono-npgsql4.0-cil@packages.debian.org, libmono-npgsql4.0-cil@packages.qa.debian.org, libmono-messaging2.0-cil@packages.debian.org, libmono-messaging2.0-cil@packages.qa.debian.org, libmono-system-servicemodel4.0-cil@packages.debian.org, libmono-system-servicemodel4.0-cil@packages.qa.debian.org, mono-complete@packages.debian.org, mono-complete@packages.qa.debian.org, libmono-ldap2.0-cil@packages.debian.org, libmono-ldap2.0-cil@packages.qa.debian.org, libmono-system-configuration-install4.0-cil@packages.debian.org, libmono-system-configuration-install4.0-cil@packages.qa.debian.org, mono-2.0-service@packages.debian.org, mono-2.0-service@packages.qa.debian.org, libmono-system-messaging2.0-cil@packages.debian.org, libmono-system-messaging2.0-cil@packages.qa.debian.org, libmono-system-identitymodel-selectors4.0-cil@packages.debian.org, libmono-system-identitymodel-selectors4.0-cil@packages.qa.debian.org, libmono-system-web-mvc2.0-cil@packages.debian.org, libmono-system-web-mvc2.0-cil@packages.qa.debian.org, libmono-debugger-soft2.0-cil@packages.debian.org, libmono-debugger-soft2.0-cil@packages.qa.debian.org, libmono-system-runtime-durableinstancing4.0-cil@packages.debian.org, libmono-system-runtime-durableinstancing4.0-cil@packages.qa.debian.org, libmono-system-web-applicationservices4.0-cil@packages.debian.org, libmono-system-web-applicationservices4.0-cil@packages.qa.debian.org, libmono-c5-1.1-cil@packages.debian.org, libmono-c5-1.1-cil@packages.qa.debian.org, libmono-cscompmgd8.0-cil@packages.debian.org, libmono-cscompmgd8.0-cil@packages.qa.debian.org, libmono-messaging4.0-cil@packages.debian.org, libmono-messaging4.0-cil@packages.qa.debian.org, libmono-rabbitmq2.0-cil@packages.debian.org, libmono-rabbitmq2.0-cil@packages.qa.debian.org, libmono-i18n-west2.0-cil@packages.debian.org, libmono-i18n-west2.0-cil@packages.qa.debian.org, libmono-windowsbase3.0-cil@packages.debian.org, libmono-windowsbase3.0-cil@packages.qa.debian.org, libmono-system-runtime2.0-cil@packages.debian.org, libmono-system-runtime2.0-cil@packages.qa.debian.org, libmono-microsoft-csharp4.0-cil@packages.debian.org, libmono-microsoft-csharp4.0-cil@packages.qa.debian.org, libmono-system-xml-linq4.0-cil@packages.debian.org, libmono-system-xml-linq4.0-cil@packages.qa.debian.org, libmono-tasklets2.0-cil@packages.debian.org, libmono-tasklets2.0-cil@packages.qa.debian.org, libmono-system-windows-forms-datavisualization4.0-cil@packages.debian.org, libmono-system-windows-forms-datavisualization4.0-cil@packages.qa.debian.org, libmono-custommarshalers4.0-cil@packages.debian.org, libmono-custommarshalers4.0-cil@packages.qa.debian.org, libmono-system-windows-forms4.0-cil@packages.debian.org, libmono-system-windows-forms4.0-cil@packages.qa.debian.org, libmono-system4.0-cil@packages.debian.org, libmono-system4.0-cil@packages.qa.debian.org, libmono-system-xml4.0-cil@packages.debian.org, libmono-system-xml4.0-cil@packages.qa.debian.org, libmono-i18n-rare4.0-cil@packages.debian.org, libmono-i18n-rare4.0-cil@packages.qa.debian.org, libmono-system-servicemodel-discovery4.0-cil@packages.debian.org, libmono-system-servicemodel-discovery4.0-cil@packages.qa.debian.org, libmono-opensystem-c4.0-cil@packages.debian.org, libmono-opensystem-c4.0-cil@packages.qa.debian.org, libmono-windowsbase4.0-cil@packages.debian.org, libmono-windowsbase4.0-cil@packages.qa.debian.org, libmono-microsoft-build-framework4.0-cil@packages.debian.org, libmono-microsoft-build-framework4.0-cil@packages.qa.debian.org, libmono-sharpzip4.84-cil@packages.debian.org, libmono-sharpzip4.84-cil@packages.qa.debian.org, libmono-codecontracts4.0-cil@packages.debian.org, libmono-codecontracts4.0-cil@packages.qa.debian.org, libmono-system-numerics4.0-cil@packages.debian.org, libmono-system-numerics4.0-cil@packages.qa.debian.org, libmono-system-net4.0-cil@packages.debian.org, libmono-system-net4.0-cil@packages.qa.debian.org, libmono-i18n4.0-all@packages.debian.org, libmono-i18n4.0-all@packages.qa.debian.org, mono-utils@packages.debian.org, mono-utils@packages.qa.debian.org, libmono-data-tds4.0-cil@packages.debian.org, libmono-data-tds4.0-cil@packages.qa.debian.org, libmono-system-ldap4.0-cil@packages.debian.org, libmono-system-ldap4.0-cil@packages.qa.debian.org, libmono-compilerservices-symbolwriter4.0-cil@packages.debian.org, libmono-compilerservices-symbolwriter4.0-cil@packages.qa.debian.org, mono@packages.debian.org, mono@packages.qa.debian.org, libmono-accessibility2.0-cil@packages.debian.org, libmono-accessibility2.0-cil@packages.qa.debian.org, libmono-system-xaml4.0-cil@packages.debian.org, libmono-system-xaml4.0-cil@packages.qa.debian.org, mono-gmcs@packages.debian.org, mono-gmcs@packages.qa.debian.org, libmono-i18n4.0-cil@packages.debian.org, libmono-i18n4.0-cil@packages.qa.debian.org, libmono-system-transactions4.0-cil@packages.debian.org, libmono-system-transactions4.0-cil@packages.qa.debian.org, libmono-i18n-other4.0-cil@packages.debian.org, libmono-i18n-other4.0-cil@packages.qa.debian.org, libmono-peapi4.0-cil@packages.debian.org, libmono-peapi4.0-cil@packages.qa.debian.org, libmono-npgsql2.0-cil@packages.debian.org, libmono-npgsql2.0-cil@packages.qa.debian.org, libmono-sharpzip2.6-cil@packages.debian.org, libmono-sharpzip2.6-cil@packages.qa.debian.org, libmono-system-data2.0-cil@packages.debian.org, libmono-system-data2.0-cil@packages.qa.debian.org, libmono-cecil-private-cil@packages.debian.org, libmono-cecil-private-cil@packages.qa.debian.org, mono-dbg@packages.debian.org, mono-dbg@packages.qa.debian.org, mono-2.0-gac@packages.debian.org, mono-2.0-gac@packages.qa.debian.org, libmono-system-serviceprocess4.0-cil@packages.debian.org, libmono-system-serviceprocess4.0-cil@packages.qa.debian.org, libmono-db2-1.0-cil@packages.debian.org, libmono-db2-1.0-cil@packages.qa.debian.org, libmono-system-componentmodel-dataannotations4.0-cil@packages.debian.org, libmono-system-componentmodel-dataannotations4.0-cil@packages.qa.debian.org, libmono-data-tds2.0-cil@packages.debian.org, libmono-data-tds2.0-cil@packages.qa.debian.org, libmono-csharp4.0-cil@packages.debian.org, libmono-csharp4.0-cil@packages.qa.debian.org, libmono-microsoft-web-infrastructure1.0-cil@packages.debian.org, libmono-microsoft-web-infrastructure1.0-cil@packages.qa.debian.org, libmono-system-web-extensions4.0-cil@packages.debian.org, libmono-system-web-extensions4.0-cil@packages.qa.debian.org, libmono-microsoft-build-tasks-v4.0-4.0-cil@packages.debian.org, libmono-microsoft-build-tasks-v4.0-4.0-cil@packages.qa.debian.org, libmono-i18n-cjk4.0-cil@packages.debian.org, libmono-i18n-cjk4.0-cil@packages.qa.debian.org, libmono-corlib2.0-cil@packages.debian.org, libmono-corlib2.0-cil@packages.qa.debian.org, libmono-system-data-linq4.0-cil@packages.debian.org, libmono-system-data-linq4.0-cil@packages.qa.debian.org, libmono-microsoft-visualc10.0-cil@packages.debian.org, libmono-microsoft-visualc10.0-cil@packages.qa.debian.org, libmono2.0-cil@packages.debian.org, libmono2.0-cil@packages.qa.debian.org, libmono-system-servicemodel-web4.0-cil@packages.debian.org, libmono-system-servicemodel-web4.0-cil@packages.qa.debian.org, libmono-system-web-mvc1.0-cil@packages.debian.org, libmono-system-web-mvc1.0-cil@packages.qa.debian.org, libmono-system-drawing-design4.0-cil@packages.debian.org, libmono-system-drawing-design4.0-cil@packages.qa.debian.org, libmono-messaging-rabbitmq2.0-cil@packages.debian.org, libmono-messaging-rabbitmq2.0-cil@packages.qa.debian.org, libmono-system-configuration4.0-cil@packages.debian.org, libmono-system-configuration4.0-cil@packages.qa.debian.org, mono-csharp-shell@packages.debian.org, mono-csharp-shell@packages.qa.debian.org, libmono-system-data-services4.0-cil@packages.debian.org, libmono-system-data-services4.0-cil@packages.qa.debian.org, libmono-system-web-routing4.0-cil@packages.debian.org, libmono-system-web-routing4.0-cil@packages.qa.debian.org, libmono-system-web-services4.0-cil@packages.debian.org, libmono-system-web-services4.0-cil@packages.qa.debian.org, libmono-relaxng4.0-cil@packages.debian.org, libmono-relaxng4.0-cil@packages.qa.debian.org, mono-gac@packages.debian.org, mono-gac@packages.qa.debian.org, libmono-system-data-services-client4.0-cil@packages.debian.org, libmono-system-data-services-client4.0-cil@packages.qa.debian.org, libmono-sqlite4.0-cil@packages.debian.org, libmono-sqlite4.0-cil@packages.qa.debian.org, libmono-webbrowser4.0-cil@packages.debian.org, libmono-webbrowser4.0-cil@packages.qa.debian.org, libmono-winforms2.0-cil@packages.debian.org, libmono-winforms2.0-cil@packages.qa.debian.org, libmono-system-runtime-caching4.0-cil@packages.debian.org, libmono-system-runtime-caching4.0-cil@packages.qa.debian.org, libmono-system-componentmodel-composition4.0-cil@packages.debian.org, libmono-system-componentmodel-composition4.0-cil@packages.qa.debian.org, libmono-profiler@packages.debian.org, libmono-profiler@packages.qa.debian.org, libmono-system-management4.0-cil@packages.debian.org, libmono-system-management4.0-cil@packages.qa.debian.org, mono-4.0-service@packages.debian.org, mono-4.0-service@packages.qa.debian.org, libmono-wcf3.0-cil@packages.debian.org, libmono-wcf3.0-cil@packages.qa.debian.org, libmono-sharpzip2.84-cil@packages.debian.org, libmono-sharpzip2.84-cil@packages.qa.debian.org, libmono-system-runtime-serialization4.0-cil@packages.debian.org, libmono-system-runtime-serialization4.0-cil@packages.qa.debian.org, libmono-web4.0-cil@packages.debian.org, libmono-web4.0-cil@packages.qa.debian.org, libmono-system-web-extensions-design4.0-cil@packages.debian.org, libmono-system-web-extensions-design4.0-cil@packages.qa.debian.org, libmono-system-drawing4.0-cil@packages.debian.org, libmono-system-drawing4.0-cil@packages.qa.debian.org, libmono-i18n2.0-cil@packages.debian.org, libmono-i18n2.0-cil@packages.qa.debian.org, libmono-system-core4.0-cil@packages.debian.org, libmono-system-core4.0-cil@packages.qa.debian.org, libmono-system-servicemodel-routing4.0-cil@packages.debian.org, libmono-system-servicemodel-routing4.0-cil@packages.qa.debian.org, libmono-peapi2.0-cil@packages.debian.org, libmono-peapi2.0-cil@packages.qa.debian.org, libmono-tasklets4.0-cil@packages.debian.org, libmono-tasklets4.0-cil@packages.qa.debian.org, libmono-simd2.0-cil@packages.debian.org, libmono-simd2.0-cil@packages.qa.debian.org, monodoc-manual@packages.debian.org, monodoc-manual@packages.qa.debian.org, libmono-system-design4.0-cil@packages.debian.org, libmono-system-design4.0-cil@packages.qa.debian.org, libmono-system-identitymodel4.0-cil@packages.debian.org, libmono-system-identitymodel4.0-cil@packages.qa.debian.org, mono-dmcs@packages.debian.org, mono-dmcs@packages.qa.debian.org, libmono-system-data-linq2.0-cil@packages.debian.org, libmono-system-data-linq2.0-cil@packages.qa.debian.org, libmono-2.0-dev@packages.debian.org, libmono-2.0-dev@packages.qa.debian.org, libmono-system2.0-cil@packages.debian.org, libmono-system2.0-cil@packages.qa.debian.org, mono-jay@packages.debian.org, mono-jay@packages.qa.debian.org, libmono-system-web-abstractions4.0-cil@packages.debian.org, libmono-system-web-abstractions4.0-cil@packages.qa.debian.org, libmono-simd4.0-cil@packages.debian.org, libmono-simd4.0-cil@packages.qa.debian.org
Subject: Bug#686123: Removed package(s) from unstable
Date: Mon, 03 Sep 2012 07:24:01 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libmono-2.0-1 | 2.10.8.1-5 | armhf
libmono-2.0-1-dbg | 2.10.8.1-5 | armhf
libmono-2.0-dev | 2.10.8.1-5 | armhf
libmono-profiler | 2.10.8.1-5 | armhf
mono-complete | 2.10.8.1-5 | armhf
  mono-jay | 2.10.8.1-5 | armhf
mono-runtime | 2.10.8.1-5 | armhf
mono-runtime-dbg | 2.10.8.1-5 | armhf
mono-runtime-sgen | 2.10.8.1-5 | armhf
mono-utils | 2.10.8.1-5 | armhf

------------------- Reason -------------------
ANAIS; armhf not properly supported; not useful on this arch yet
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686123@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/686123

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Oct 2012 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:00:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.